-- 预留服务分组表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RESERVESERGROUP') 
 CREATE TABLE T_MSMOD_RESERVESERGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS nvarchar(50) DEFAULT 'C' NOT NULL,
FENABLE nvarchar(50) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FLONGNUMBER nvarchar(50) DEFAULT '1' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RESERVESERGROUP_L') 
 CREATE TABLE T_MSMOD_RESERVESERGROUP_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

-- 预留服务配置表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RESERVESERVICE') 
 CREATE TABLE T_MSMOD_RESERVESERVICE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER  nvarchar(50) DEFAULT ' ' NOT NULL,
FNAME  nvarchar(50) DEFAULT ' ' NOT NULL,
FSTATUS nvarchar(50) DEFAULT 'C' NOT NULL,
FENABLE nvarchar(50) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FGROUPID 	BIGINT DEFAULT 0 NOT NULL,
FBILLOBJECT 	nvarchar(36) DEFAULT ' ' NOT NULL,
FBILLOPERATION 	nvarchar(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION 	nvarchar(50) DEFAULT ' ' NOT NULL,
F_FILTER_VALUE  nvarchar(255) DEFAULT ' ' NOT NULL
);
-- 预留服务配置分录表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RESSERVICENTRY') 
 CREATE TABLE T_MSMOD_RESSERVICENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOPERATION nvarchar(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RESERVESERVICE_L') 
 CREATE TABLE T_MSMOD_RESERVESERVICE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);
-- 后台参数表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_DBPARAM') 
 CREATE TABLE T_MSMOD_DBPARAM (
FID BIGINT DEFAULT 0 NOT NULL,
fkey NVARCHAR(50) DEFAULT ' ' NOT NULL,
fvalue NVARCHAR(50) DEFAULT ' ' NOT NULL
);

