-- 增加预置字段，增加追加过滤条件字段

-- 核销类别
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_WFBILLSETENTRY' AND KSQL_COL_NAME ='FCFILTERCONDITIONVIEW')
ALTER TABLE T_MSMOD_WFBILLSETENTRY ADD (FCFILTERCONDITIONVIEW NVARCHAR(512) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_WFBILLSETENTRY' AND KSQL_COL_NAME ='FCFILTERCONDITION')
ALTER TABLE T_MSMOD_WFBILLSETENTRY ADD (FCFILTERCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_WFBILLSETENTRY' AND KSQL_COL_NAME ='FCFILTERCONDITION_TAG')
ALTER TABLE T_MSMOD_WFBILLSETENTRY ADD (FCFILTERCONDITION_TAG NCLOB);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_WFBILLSETENTRY' AND KSQL_COL_NAME ='FCFILTERCONDITIONDESC')
ALTER TABLE T_MSMOD_WFBILLSETENTRY ADD (FCFILTERCONDITIONDESC NVARCHAR(255) DEFAULT ' ' NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_WFBILLSETENTRY' AND KSQL_COL_NAME ='FCFILTERCONDITIONDESC_TAG')
ALTER TABLE T_MSMOD_WFBILLSETENTRY ADD (FCFILTERCONDITIONDESC_TAG NCLOB);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_AUTOGENEBILL_E' AND KSQL_COL_NAME ='FWFBEISPRESET')
ALTER TABLE T_MSMOD_AUTOGENEBILL_E ADD (FWFBEISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_PLUGINENTITY_E' AND KSQL_COL_NAME ='FPEISPRESET')
ALTER TABLE T_MSMOD_PLUGINENTITY_E ADD (FPEISPRESET CHAR(1) DEFAULT '0' NOT NULL );

-- 匹配规则
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_MATCHCDIT_E' AND KSQL_COL_NAME ='FMSEISPRESET')
ALTER TABLE T_MSMOD_MATCHCDIT_E ADD (FMSEISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_MATCH_PLUGIN' AND KSQL_COL_NAME ='FMPEISPRESET')
ALTER TABLE T_MSMOD_MATCH_PLUGIN ADD (FMPEISPRESET CHAR(1) DEFAULT '0' NOT NULL );

-- 核销方案
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_SMSORTENTRY' AND KSQL_COL_NAME ='FSMSISPRESET')
ALTER TABLE T_MSMOD_SMSORTENTRY ADD (FSMSISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_SCHSHAREENTITY' AND KSQL_COL_NAME ='FSEISPRESET')
ALTER TABLE T_MSMOD_SCHSHAREENTITY ADD (FSEISPRESET CHAR(1) DEFAULT '0' NOT NULL );

-- 反写规则
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_REWTBILLENTRY' AND KSQL_COL_NAME ='FRWBEISPRESET')
ALTER TABLE T_MSMOD_REWTBILLENTRY ADD (FRWBEISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_REWTFORMULSUB' AND KSQL_COL_NAME ='FRWFEISPRESET')
ALTER TABLE T_MSMOD_REWTFORMULSUB ADD (FRWFEISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_REWTMATCHSUB' AND KSQL_COL_NAME ='FRWMEISPRESET')
ALTER TABLE T_MSMOD_REWTMATCHSUB ADD (FRWMEISPRESET CHAR(1) DEFAULT '0' NOT NULL );

-- 流程核销配置
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_SCHEME_BILLENTRY' AND KSQL_COL_NAME ='FCWRITEOFFBILLFILTER')
ALTER TABLE T_MSMOD_SCHEME_BILLENTRY ADD (FCWRITEOFFBILLFILTER NVARCHAR(512) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_SCHEME_BILLENTRY' AND KSQL_COL_NAME ='FCFILTERCONDITION')
ALTER TABLE T_MSMOD_SCHEME_BILLENTRY ADD (FCFILTERCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_SCHEME_BILLENTRY' AND KSQL_COL_NAME ='FCFILTERCONDITION_TAG')
ALTER TABLE T_MSMOD_SCHEME_BILLENTRY ADD (FCFILTERCONDITION_TAG NCLOB);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_SCHEME_BILLENTRY' AND KSQL_COL_NAME ='FCFILTERCONDITIONDESC')
ALTER TABLE T_MSMOD_SCHEME_BILLENTRY ADD (FCFILTERCONDITIONDESC NVARCHAR(255) DEFAULT ' ' NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_SCHEME_BILLENTRY' AND KSQL_COL_NAME ='FCFILTERCONDITIONDESC_TAG')
ALTER TABLE T_MSMOD_SCHEME_BILLENTRY ADD (FCFILTERCONDITIONDESC_TAG NCLOB);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_SCHEME_BILLENTRY' AND KSQL_COL_NAME ='FSBISPRESET')
ALTER TABLE T_MSMOD_SCHEME_BILLENTRY ADD (FSBISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_SCH_SORTSUBENTRY' AND KSQL_COL_NAME ='FSEISPRESET')
ALTER TABLE T_MSMOD_SCH_SORTSUBENTRY ADD (FSEISPRESET CHAR(1) DEFAULT '0' NOT NULL );

-- 流程核销顺序
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_WF_SORT_ENTRY' AND KSQL_COL_NAME ='FEISPRESET')
ALTER TABLE T_MSMOD_WF_SORT_ENTRY ADD (FEISPRESET CHAR(1) DEFAULT '0' NOT NULL );
-- 核销类别分组
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_WFTYPEGROUPENTRY' AND KSQL_COL_NAME ='FEISPRESET')
ALTER TABLE T_MSMOD_WFTYPEGROUPENTRY ADD (FEISPRESET CHAR(1) DEFAULT '0' NOT NULL );
