﻿/**Begin D:\PDM_UPGRADE\PDM1\MSCOMMON_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_FREEZETYPE') 
 CREATE TABLE T_MSMOD_FREEZETYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLONGNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_FREEZETYPE_L') 
 CREATE TABLE T_MSMOD_FREEZETYPE_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_FREEZESETTING') 
 CREATE TABLE T_MSMOD_FREEZESETTING (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT 'C' NOT NULL,
FENABLE NVARCHAR(50) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FFREEZEOBJID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROVIDERENTITYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLOPNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLOPNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FBIZAPP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTERFORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERFORMULA_TAG NCLOB,
FFILTERJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERJSON_TAG NCLOB,
FDISABLER BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_FREEZESETTING_L') 
 CREATE TABLE T_MSMOD_FREEZESETTING_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_FREEZEIGNORE') 
 CREATE TABLE T_MSMOD_FREEZEIGNORE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT 'C' NOT NULL,
FENABLE NVARCHAR(50) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FFREEZEENTITYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROVIDERENTITYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDISABLEDATE DATETIME,
FDISABLER BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_FREEZEIGNORE_L') 
 CREATE TABLE T_MSMOD_FREEZEIGNORE_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_FREEZE_IGGENTRY') 
 CREATE TABLE T_MSMOD_FREEZE_IGGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONDITIONFORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONDITIONFORMULA_TAG NCLOB,
FCONDITIONJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONDITIONJSON_TAG NCLOB,
FBIZENTITYID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_FREEZELOG') 
 CREATE TABLE T_MSMOD_FREEZELOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FFREEZEENTITYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROVIDERENTITYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FKEEPERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FUNIT2NDID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FLOTNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCEDATE DATETIME,
FEXPIRYDATE DATETIME,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FFREEZEBILLID BIGINT DEFAULT 0 NOT NULL,
FFREEZEBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFREEZEDATE DATETIME,
FFREEZEENTRYNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFREEZEENTRYID BIGINT DEFAULT 0 NOT NULL,
FFREEZEENTRYSEQ BIGINT DEFAULT 0 NOT NULL
);


/**End D:\PDM_UPGRADE\PDM1\MSCOMMON_table.sql **/
