﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSCOMMON_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_LOG') 
 CREATE TABLE T_MSMOD_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FWFMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWFSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWFRESULT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FSTARTBILLNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTBILLNUMBER_TAG NCLOB,
FHEADFAILMESSAGE NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_LOG_ENTRY') 
 CREATE TABLE T_MSMOD_LOG_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FWFSCHEME BIGINT DEFAULT 0 NOT NULL,
FGROUPCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWFRECORD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAUTOBILL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFAILMESSAGE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FWFSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_PLUGINENTITY_E') 
 CREATE TABLE T_MSMOD_PLUGINENTITY_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPLUGINCLASS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPLUGINTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPLUGINENABLED CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSMOD_MATCHCDIT_E' AND KSQL_COL_NAME ='FEMPTYEQUAL') 
 ALTER TABLE T_MSMOD_MATCHCDIT_E ADD (FEMPTYEQUAL CHAR(1) DEFAULT '1' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSCOMMON_table.sql **/
