﻿
--反写规则，反写单据分录
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_REWTBILLENTRY') 
 CREATE TABLE T_MSMOD_REWTBILLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FREWTBILL VARCHAR(36) DEFAULT ' ' NOT NULL,
FALIAS BIGINT DEFAULT 0 NOT NULL
);

--反写规则，反写公式分录
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_REWTFORMULSUB') 
 CREATE TABLE T_MSMOD_REWTFORMULSUB (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBREWTBILL VARCHAR(36) DEFAULT ' ' NOT NULL,
FREWTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FREWTFIELDNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELECTVAL VARCHAR(50) DEFAULT ' ' NOT NULL,
FWFFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FWFFIELDNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FCALFORMULA VARCHAR(50) DEFAULT ' ' NOT NULL,
FREWTMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FCALFORMUDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FCALFORMUDESC_TAG NCLOB
);

--反写规则，匹配条件分录
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_REWTMATCHSUB') 
 CREATE TABLE T_MSMOD_REWTMATCHSUB (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
frewtfieldname VARCHAR(50) DEFAULT ' ' NOT NULL,
frefieldnum VARCHAR(50) DEFAULT ' ' NOT NULL,
fwfbill BIGINT DEFAULT 0 NOT NULL,
fwfbillfieldname VARCHAR(50) DEFAULT ' ' NOT NULL,
fwfbillfieldnum VARCHAR(50) DEFAULT ' ' NOT NULL,
femptyequal CHAR(1) DEFAULT ' ' NOT NULL,
fcomparison VARCHAR(50) DEFAULT ' ' NOT NULL
);

