-- 核销单据类型表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_WFBILL') 
 CREATE TABLE T_MSMOD_WFBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS nvarchar(50) DEFAULT 'C' NOT NULL,
FENABLE nvarchar(50) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
falias nvarchar(50) DEFAULT ' ' NOT NULL,
fwftypenumber nvarchar(50) DEFAULT ' ' NOT NULL,
fwfbillnumber nvarchar(50) DEFAULT ' ' NOT NULL,
fwfbill nvarchar(50) DEFAULT ' ' NOT NULL
);

-- 核销单据类型多语言
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_WFBILL_L') 
 CREATE TABLE T_MSMOD_WFBILL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);