--预留表新增脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RESERVEBILL') 
 CREATE TABLE T_MSMOD_RESERVEBILL (
fid BIGINT DEFAULT 0 NOT NULL,
fbillno NVARCHAR(30) DEFAULT ' ' NOT NULL,
fbillstatus NVARCHAR(50) DEFAULT ' ' NOT NULL,
fcreatorid BIGINT DEFAULT 0 NOT NULL,
fmodifierid BIGINT DEFAULT 0 NOT NULL,
fauditorid BIGINT DEFAULT 0 NOT NULL,
fauditdate  DATETIME,
fmodifytime DATETIME,
fcreatetime  DATETIME,
forgid BIGINT DEFAULT 0 NOT NULL,
fcomment NVARCHAR(512) DEFAULT ' ' NOT NULL,
fbizdate  DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RESERVEBILL_L') 
 CREATE TABLE T_MSMOD_RESERVEBILL_L (
fpkid NVARCHAR(36) DEFAULT ' ' NOT NULL,
fid BIGINT DEFAULT 0 NOT NULL,
flocaleid NVARCHAR(10) DEFAULT ' ' NOT NULL,
fcomment NVARCHAR(512) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_INVBILLENTRY') 
 CREATE TABLE T_MSMOD_INVBILLENTRY (
fid BIGINT DEFAULT 0 NOT NULL,
fentryid BIGINT DEFAULT 0 NOT NULL,
fseq BIGINT DEFAULT 0 NOT NULL,
freserveobjtype NVARCHAR(50) DEFAULT ' ' NOT NULL,
freserveobj BIGINT DEFAULT 0 NOT NULL,
fmaterial BIGINT DEFAULT 0 NOT NULL,
funit  BIGINT DEFAULT 0 NOT NULL,
fqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
fbaseunit  BIGINT DEFAULT 0 NOT NULL,
fbaseqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
funit2nd BIGINT DEFAULT 0 NOT NULL,
fqtyunit2nd  DECIMAL(23,10) DEFAULT 0 NOT NULL,
fauxpty  BIGINT DEFAULT 0 NOT NULL,
flotnumber  NVARCHAR(50) DEFAULT ' ' NOT NULL,
fproducedate  DATETIME,
fexpirydate  DATETIME,
fwarehouseid  BIGINT DEFAULT 0 NOT NULL,
flocationid  BIGINT DEFAULT 0 NOT NULL,
finvtypeid  BIGINT DEFAULT 0 NOT NULL,
finvstatusid  BIGINT DEFAULT 0 NOT NULL,
fownertype  NVARCHAR(50) DEFAULT ' ' NOT NULL,
fownerid  BIGINT DEFAULT 0 NOT NULL,
fkeepertype  NVARCHAR(50) DEFAULT ' ' NOT NULL,
fkeeperid  BIGINT DEFAULT 0 NOT NULL,
fconfiguredcodeid  BIGINT DEFAULT 0 NOT NULL,
fprojectid  BIGINT DEFAULT 0 NOT NULL,
fentrycomment  NVARCHAR(512) DEFAULT ' ' NOT NULL,
flotid  BIGINT DEFAULT 0 NOT NULL
);