﻿/**Begin D:\nextcloud\dev2main2bizline\PDM_UPGRADE\pdm1\MSCOMMON_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMC_RPT_CF_JOINDATA') 
 CREATE TABLE T_SCMC_RPT_CF_JOINDATA (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FJOINBLOCKSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FJOINBLOCKDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FJOINDATAFS VARCHAR(1) DEFAULT ' ' NOT NULL,
FJOINDATAFS_TAG NCLOB,
FJOINENTITY BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMC_RPT_CF_JOINDATA_L') 
 CREATE TABLE T_SCMC_RPT_CF_JOINDATA_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FJOINBLOCKDESC NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMC_RPT_JOINENTITY') 
 CREATE TABLE T_SCMC_RPT_JOINENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FREPOENTITY VARCHAR(30) DEFAULT ' ' NOT NULL,
FSYSDATA CHAR(1) DEFAULT '0' NOT NULL,
FMAPINFO VARCHAR(1) DEFAULT ' ' NOT NULL,
FMAPINFO_TAG NCLOB,
FSQLINFO VARCHAR(1) DEFAULT ' ' NOT NULL,
FSQLINFO_TAG NCLOB,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOADTYPE CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMC_RPT_JOINENTITY_L') 
 CREATE TABLE T_SCMC_RPT_JOINENTITY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

 -- 中间表字段增加是否显示合计
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMC_RPT_CF_COLS' AND KSQL_COL_NAME ='FISSUMMARY') 
 ALTER TABLE T_SCMC_RPT_CF_COLS ADD (FISSUMMARY CHAR(1) DEFAULT '0' NOT NULL );



/**End D:\nextcloud\dev2main2bizline\PDM_UPGRADE\pdm1\MSCOMMON_table.sql **/
