﻿/**Begin D:\PDM_UPGRADE\PDM1\MSCOMMON_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_MSMOD_AUTOGENEBILL_E', 'T_MSMOD_AUTOGENEBILL_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_AUTOGENEBILL_E_FID') CREATE INDEX IDX_T_MSMOD_AUTOGENEBILL_E_FID ON T_MSMOD_AUTOGENEBILL_E ( FID );


 EXEC P_ALTERPK 'PK_T_MSMOD_MATCHCDIT_E', 'T_MSMOD_MATCHCDIT_E', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MATCHCDIT_E_FENTRYID') CREATE INDEX IDX_MATCHCDIT_E_FENTRYID ON T_MSMOD_MATCHCDIT_E ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_MSMOD_MATCHRELATE_E', 'T_MSMOD_MATCHRELATE_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_MATCHRELATE_E_FID') CREATE INDEX IDX_T_MSMOD_MATCHRELATE_E_FID ON T_MSMOD_MATCHRELATE_E ( FID );


 EXEC P_ALTERPK 'PK_T_MSMOD_MATCHRULE', 'T_MSMOD_MATCHRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_MATCHRULE_FNUMBER') CREATE INDEX IDX_T_MSMOD_MATCHRULE_FNUMBER ON T_MSMOD_MATCHRULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MSMOD_MATCHRULE_L', 'T_MSMOD_MATCHRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_MATCHRULE_L_ID') CREATE INDEX IDX_T_MSMOD_MATCHRULE_L_ID ON T_MSMOD_MATCHRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSMOD_REWRITERULE', 'T_MSMOD_REWRITERULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REWRITERULE_FNUMBER') CREATE INDEX IDX_REWRITERULE_FNUMBER ON T_MSMOD_REWRITERULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MSMOD_REWRITERULE_L', 'T_MSMOD_REWRITERULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_REWRITERULE_L_ID') CREATE INDEX IDX_T_MSMOD_REWRITERULE_L_ID ON T_MSMOD_REWRITERULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSMOD_REWRITERULEENTRY', 'T_MSMOD_REWRITERULEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_REWRITERULEENTRY_FID') CREATE INDEX IDX_REWRITERULEENTRY_FID ON T_MSMOD_REWRITERULEENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_MSMOD_SCHEME', 'T_MSMOD_SCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_SCHEME_FNUMBER') CREATE INDEX IDX_T_MSMOD_SCHEME_FNUMBER ON T_MSMOD_SCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MSMOD_SCHEME_BILLENTRY', 'T_MSMOD_SCHEME_BILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_SCHEME_BILL_FID') CREATE INDEX IDX_T_MSMOD_SCHEME_BILL_FID ON T_MSMOD_SCHEME_BILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_MSMOD_SCHEME_L', 'T_MSMOD_SCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_SCHEME_L_ID') CREATE INDEX IDX_T_MSMOD_SCHEME_L_ID ON T_MSMOD_SCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSMOD_SCHEME_SORTENTRY', 'T_MSMOD_SCHEME_SORTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_SORTENTRY_FID') CREATE INDEX IDX_SCHEME_SORTENTRY_FID ON T_MSMOD_SCHEME_SORTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_MSMOD_SCHEMESET', 'T_MSMOD_SCHEMESET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_SCHEMESET_FNUMBER') CREATE INDEX IDX_T_MSMOD_SCHEMESET_FNUMBER ON T_MSMOD_SCHEMESET ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MSMOD_SCHEMESET_L', 'T_MSMOD_SCHEMESET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_SCHEMESET_L_ID') CREATE INDEX IDX_T_MSMOD_SCHEMESET_L_ID ON T_MSMOD_SCHEMESET_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSMOD_SMMATCHENTRY', 'T_MSMOD_SMMATCHENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_SMMATCH_FID') CREATE INDEX IDX_T_MSMOD_SMMATCH_FID ON T_MSMOD_SMMATCHENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SMMATCH_FMATCHRULEID') CREATE INDEX IDX_SMMATCH_FMATCHRULEID ON T_MSMOD_SMMATCHENTRY ( FMATCHRULEID );


 EXEC P_ALTERPK 'PK_T_MSMOD_SMSORTENTRY', 'T_MSMOD_SMSORTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_SMSORT_FID') CREATE INDEX IDX_T_MSMOD_SMSORT_FID ON T_MSMOD_SMSORTENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SMSORT_FSORTBILLTYPEID') CREATE INDEX IDX_SMSORT_FSORTBILLTYPEID ON T_MSMOD_SMSORTENTRY ( FSORTBILLTYPEID );


 EXEC P_ALTERPK 'PK_T_MSMOD_WFBILLSETENTRY', 'T_MSMOD_WFBILLSETENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WFBILLSETENTRY_FID') CREATE INDEX IDX_WFBILLSETENTRY_FID ON T_MSMOD_WFBILLSETENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FWRITEOFFBILLTYPEID') CREATE INDEX IDX_FWRITEOFFBILLTYPEID ON T_MSMOD_WFBILLSETENTRY ( FWRITEOFFBILLTYPEID );


 EXEC P_ALTERPK 'PK_T_MSMOD_WFFIELDSUBENTRY', 'T_MSMOD_WFFIELDSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FENTRYID') CREATE INDEX IDX_FENTRYID ON T_MSMOD_WFFIELDSUBENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_MSMOD_WRITEOFFTYPE', 'T_MSMOD_WRITEOFFTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_WRITEOFFTYPE_NUM') CREATE INDEX IDX_T_MSMOD_WRITEOFFTYPE_NUM ON T_MSMOD_WRITEOFFTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MSMOD_WRITEOFFTYPE_L', 'T_MSMOD_WRITEOFFTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MSMOD_WRITEOFFTYPE_L_ID') CREATE INDEX IDX_T_MSMOD_WRITEOFFTYPE_L_ID ON T_MSMOD_WRITEOFFTYPE_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\MSCOMMON_constraint.sql **/
